=== debian/changelog ===
libptypes (2.1.0-1osso2) unstable; urgency=low

  * Fixes: NB#96050.

 -- Hannu Mallat <hannu.mallat@nokia.com>  Thu,  8 Jan 2009 15:09:58 +0300

libptypes (2.1.0-1osso1) unstable; urgency=low

  * Initial Release.

 -- Hannu Mallat <hannu.mallat@nokia.com>  Mon, 28 May 2007 13:12:02 +0300
