=== debian/control ===
Source: libptypes
Section: libs
Priority: optional
Maintainer: Hannu Mallat <hannu.mallat@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: libptypes-dev
Section: devel
Architecture: any
Depends: libptypes (= ${Source-Version})
Description: A simple alternative to STL
 PTypes (C++ Portable Types Library) is a simple alternative to the
 STL that includes multithreading and networking. It defines dynamic
 strings, variants, character sets, lists and other basic data types
 along with portable thread and synchronization objects, IP sockets
 and named pipes. Its main `target audience' is developers of complex
 network daemons, robots or non-visual client/server applications of
 any kind.
 .
 Install this package if you wish to develop your own programs using
 PTypes.

Package: libptypes
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: A simple alternative to STL
 PTypes (C++ Portable Types Library) is a simple alternative to the
 STL that includes multithreading and networking. It defines dynamic
 strings, variants, character sets, lists and other basic data types
 along with portable thread and synchronization objects, IP sockets
 and named pipes. Its main `target audience' is developers of complex
 network daemons, robots or non-visual client/server applications of
 any kind.
 .
 This package contains the dynamic library needed by applications
 using PTypes.

Package: libptypes-dbg
Section: libs
Architecture: any
Depends: libptypes (= ${Source-Version})
Recommends: libptypes-dev
Description: A simple alternative to STL
 PTypes (C++ Portable Types Library) is a simple alternative to the
 STL that includes multithreading and networking. It defines dynamic
 strings, variants, character sets, lists and other basic data types
 along with portable thread and synchronization objects, IP sockets
 and named pipes. Its main `target audience' is developers of complex
 network daemons, robots or non-visual client/server applications of
 any kind.
 .
 Install this package if you wish to develop your own programs using
 PTypes.
